Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001192Core InformKinds and type checkingpublic2014-02-07 10:002014-05-07 07:33
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSLinuxOS VersionAny
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001192: Definition applying to kind of value references nonexistent local
DescriptionThe attached source fails with the I6 error

- - - -
File "auto.inf"; Line 10318 # Error: No such constant as "t_0"
- - - -

The relevant code:

- - - -
! When play begins:
[ R_741 ;
      ! phrase 1
      ! [1: showme whether or not bar is bazzed]
       #IFDEF DEBUG;print "~whether or not bar is bazzed~ = truth state: ", (DA_TruthState) ((((t_0.p13_baz == 1)))) , "^";#ENDIF;
 
   rfalse;
];
- - - -
Minimal Source Text To Reproduce
There is a room.
A foo is a kind of value.  The foo is bar.
A foo has a truth state called baz.
Definition: a foo is bazzed if its baz is true.
When play begins:
	showme whether or not bar is bazzed.
Tags36
Effect(critical) Inform 6 compiler reports errors for valid code
Attached Files

- Relationships

-  Notes
(0002451)
zarf (developer)
2014-02-07 19:10

Confirmed.

If there is a local variable t_0, the code compiles but blindly reads from t_0, regardless of its type or value. This generally causes a runtime error (or crash).
(0002452)
graham (administrator)
2014-02-08 12:57

Fixed; a typo in the code which was supposed to substitute for the free variable in "X is bazzed".

- Issue History
Date Modified Username Field Change
2014-02-07 10:00 EmacsUser New Issue
2014-02-07 19:10 zarf Note Added: 0002451
2014-02-07 19:10 zarf Status new => confirmed
2014-02-08 10:19 mattweiner Tag Attached: 36
2014-02-08 12:57 graham Note Added: 0002452
2014-02-08 12:57 graham Status confirmed => resolved
2014-02-08 12:57 graham Resolution open => fixed
2014-02-08 12:57 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker